## golang-github-songgao-water 0.0~git20200317.2b4b6d7

=== Makefile ===
.phony: default ci test lint vet gofmt


default:
	echo 'This make file is for CI.'
	exit 1

ci: test lint vet gofmt

test: water.test
	sudo ./water.test -test.v

lint:
	golint -set_exit_status

vet:
	go vet .

gofmt:
	gofmt -s -e -l .

water.test: *.go
	go test -c

=== debian/changelog ===
golang-github-songgao-water (0.0~git20200317.2b4b6d7-2) unstable; urgency=medium

  * Source-only upload 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 07 Jan 2024 02:29:56 +0100

golang-github-songgao-water (0.0~git20200317.2b4b6d7-1) unstable; urgency=medium

  * Initial release (Closes: #1059399)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Dec 2023 15:43:49 +0100

=== debian/control ===
Source: golang-github-songgao-water
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-golang-x-sys-dev,
               golang-any
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-songgao-water
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-songgao-water.git
Homepage: https://github.com/songgao/water
XS-Go-Import-Path: github.com/songgao/water

Package: golang-github-songgao-water-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Simple TUN/TAP library for Go language
 This library is designed to be simple and efficient. It
 .
  * wraps almost only syscalls and uses only Go standard types;
  * exposes standard interfaces; plays well with standard packages like
    io, bufio, etc..
  * does not handle memory management (allocating/destructing slice).
    It's up to user to decide whether/how to reuse buffers.
  * has partial support for MacOS or Windows

=== debian/rules ===
#!/usr/bin/make -f

user_id = $(shell id -u)

%:
	dh $@ --builddirectory=_build --buildsystem=golang

ifneq ($(user_id),0)
override_dh_auto_test:
	# needs-root, isolation-machine
endif

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/songgao/water.git \
  HEAD debian
